%define upstream_name       ParallelUserAgent
%define upstream_version 2.62

Name:       perl-LWP-Parallel-UserAgent
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
License:    GPL or Artistic
Group:      Development/Perl
Summary:    A class for parallel User Agents
Url:        http://search.cpan.org/dist/%{upstream_name}
Source:     https://cpan.metacpan.org/authors/id/M/MS/MSOUTH/%{upstream_name}-%{upstream_version}.tgz
BuildRequires:  perl-devel
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(URI)
BuildRequires:  perl(HTTP::Daemon)
BuildRequires:  perl(LWP::Debug)

BuildArch: noarch

%description
A class for parallel User Agents

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor destdir=${RPM_BUILD_ROOT}/
make

%check
make test

%install
make install DESTDIR=${RPM_BUILD_ROOT}
find ${RPM_BUILD_ROOT} -type f -name perllocal.pod -o -name .packlist -o -name '*.bs' -a -size 0 | xargs rm -f
find ${RPM_BUILD_ROOT} -type d -depth | xargs rmdir --ignore-fail-on-non-empty

%files
%doc README META.yml META.json MYMETA.yml MYMETA.json ChangeLog
%{perl_vendorlib}/LWP/Parallel
%{perl_vendorlib}/LWP/*.pm
%{perl_vendorlib}/Bundle/*.pm
%{_mandir}/man3/*


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 2.620.0-2.mga8
+ Revision: 1520311
- Mageia 8 Mass Rebuild

* Mon Nov 19 2018 bcornec <bcornec> 2.620.0-1.mga7
+ Revision: 1331613
- Fix a build requires for tests
- Fix missing build deps
- Import LWP::Parallel::UserAgent for mon contribs
- Import LWP::Parallel::UserAgent for mon contribs
- Created package structure for perl-LWP-Parallel-UserAgent.

